#
# spec file for package python3-django-gravatar2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-gravatar2
Version:        1.4.0
Release:        2.6
Summary:        Essential Gravatar support for Django.
License:        MIT License
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-gravatar2/django-gravatar2-%{version}.tar.gz
Url:            https://github.com/twaddington/django-gravatar
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       python3-django
BuildArch:      noarch

%description
A lightweight django-gravatar app. Includes helper methods for interacting
 with gravatars outside of template code.

Features:
--------
* Helper methods for constructing a gravatar url and checking an email for an
  existing gravatar
* Templatetags for generating a gravatar url or gravatar <img> tag.
* Full test suite

%prep
%setup -q -n django-gravatar2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README README.rst
%{python3_sitelib}/*
%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Dec 13 2015 arun@gmx.de
- update to version 1.4.0:
  * Update .travis.yml to use tox
  * Mark TemplateTag html safe; clean imports
  * Remove old settings from example_project settings.py
  * Update tox tests and use new-style manage.py
  * Tweak README
  * Add downloads tag to README
  * Add releasing doc.
* Tue Apr  7 2015 arun@gmx.de
- update to version 1.3.0:
  * pep8 fixes
  * Updated has_gravatar to make a HEAD request
  * Fixed typo
* Wed Feb  4 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.2.1:
  * Add setup.cfg
* Tue Dec  2 2014 arun@gmx.de
- changes to specfile:
  * update copyright year
- update to version 1.1.4
  * implement tests for profile url generation and README update
  * add tests for profile url generation
  * add gravatar profile url template tag
  * Add supporting info to the README.
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial release (version 1.1.3)
